type: prog

niveau: défi

titre: Numéro Assurance Maladie

objectif: Produire le numéro d'assurance maladie à partir des informations d'une personne

énoncé: |
  Une régime d'assurance (RAMQ) souhaite construire le **numéro d'assurance maladie** d'une personne dont les informations requises sont reçues en entrée.

  Ce numéro d'assurance maladie est construit selon la séquence suivante :
  - 3 premières lettres du **nom de famille en majuscules**
  - 1ère lettre du **prénom en majuscule**
  - 1 espace
  - 2 derniers chiffres de l'**année de naissance**
  - 2 chiffres du mois de naissance, auquel **on additionne 50** pour indiquer le sexe féminin
  - 1 espace
  - 2 chiffres du **Jour de naissance**
  - 2 chiffres du **code administratif** à l’usage de la compagnie

  ### Entrées

  - `nom`    (chaine de caractères)
  - `prénom` (chaine de caractères)
  - `jour`   (nombre entier, sur 2 chiffres)
  - `mois`   (nombre entier, sur 2 chiffres)
  - `année`  (nombre entier, sur 2 chiffres)
  - `sexe`   (caractère: F ou M)
  - code administratif (nombre entier sur 2 chiffres)


  ### Sortie attendue

  No assurance maladie (chaine de caractères)

  ### À faire

  Compléter le code pour produire en sortie le **numéro d'assurance maladie** de la personne

  ### Exemples

  1. Numéro pour homme

   - Entrées :
  ```
      tremblay
      luc
      04
      02
      62
      M
      16

  ```

   - Sortie attendue : TREL 6202 0416


  2. Numéro pour femme

   - Entrées :
  ```
      bell
      lucia
      05
      03
      12
      F
      18

  ```

   - Sortie attendue : BELL 1253 0518

ébauches:
    python: !include exec.py
    java: !include exec.java
    kotlin: !include exec.kt


rétroactions:
    positive: Bravo !
    négative: Construire le numéro par concaténation et appel aux méthodes appropriées.

tests: !include tests.yml

auteur: Wafaa Niar Dinedane / Patrick Lafrance
licence: 2021 CC-BY-SA
uuid: 97ca0561-f34b-4458-a175-3e59ace3bef2

